/**
 * 
 */
package org.gvsig.remoteClient.arcims.styling.symbols;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;

/**
 * This class is not supported at this time by gvSIG.
 * @author jsanz
 *
 */
public class RasterFillSymbol extends AbstractSymbol implements IArcIMSSymbol{

	public static final String TAG=	ServiceInfoTags.tRASTERFILLSYMBOL;
	private String url;
	private String transparency;
	
	public RasterFillSymbol(String murl) {
		this.url = murl;
		transparency = "1.0";
	}

	public String toString() {
		return "<"+ TAG + getParam() + " />\r\n";
	}
	
	protected String getParam() {
		String param = "";
		if (SymbolUtils.isVoid(url)) param+= " url=\"" + url + "\"";
		if (SymbolUtils.isVoid(transparency)) param+= " transparency=\"" + transparency + "\"";
		return param;
	}
	
	/* (non-Javadoc)
	 * @see org.gvsig.remoteClient.arcims.styling.symbols.IArcIMSSymbol#getFSymbol()
	 */
	public FSymbol getFSymbol() {
		return ArcImsFSymbolFactory.getFSymbol(this);
	}

	public String getTransparency() {
		return transparency;
	}

	public void setTransparency(String transparency) {
		this.transparency = transparency;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}
}