/**
 * 
 */
package org.gvsig.remoteClient.arcims.styling.symbols;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;

/**
 * This type of symbol is supported by gvSIG
 * @author jsanz
 *
 */
public class RasterShieldSymbol extends RasterMarkerSymbol implements IArcIMSSymbol{
	public static final String TAG=	ServiceInfoTags.tRASTERSHIELDSYMBOL;
	
	public RasterShieldSymbol(String murl) {
		super(murl);
	}
	
	public String toString() {
		return "<"+TAG + getParam() + "/>\r\n";
	}
	
	/* (non-Javadoc)
	 * @see org.gvsig.remoteClient.arcims.styling.symbols.IArcIMSSymbol#getFSymbol()
	 */
	public FSymbol getFSymbol() {
		return ArcImsFSymbolFactory.getFSymbol(this);
	}
}
